> ## Documentation Index
> Fetch the complete documentation index at: https://docs.abbyy.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Obtiene información detallada del catálogo

> Obtiene información detallada sobre la estructura del catálogo, como el conjunto de columnas requerido



## OpenAPI

````yaml /es/openapi.json get /api/publicapi/v1/catalogs/{catalogId}
openapi: 3.0.4
info:
  description: 'Entorno: Producción<br>Versión del producto: 1.6.17'
  title: Vantage processing REST API
  version: '1.0'
  x-application-version: 1.6.17
servers:
  - description: Producción (Estados Unidos)
    url: https://vantage-us.abbyy.com
  - description: Producción (Europa)
    url: https://vantage-eu.abbyy.com
  - description: Producción (Australia)
    url: https://vantage-au.abbyy.com
security:
  - OAuth2Security:
      - global.wildcard
      - openid
      - permissions
paths:
  /api/publicapi/v1/catalogs/{catalogId}:
    get:
      tags:
        - Catalogs
      summary: Obtiene información detallada del catálogo
      description: >-
        Obtiene información detallada sobre la estructura del catálogo, como el
        conjunto de columnas requerido
      operationId: GetCatalog
      parameters:
        - description: >-
            Identificador del catálogo. Puede encontrarlo en la lista de todos
            los catálogos.
          in: path
          name: catalogId
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Catalogs.Results.CatalogDto
            text/json:
              schema:
                $ref: >-
                  #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Catalogs.Results.CatalogDto
            text/plain:
              schema:
                $ref: >-
                  #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Catalogs.Results.CatalogDto
          description: La información del catálogo se ha obtenido correctamente
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
            text/plain:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
          description: No se encontró el catálogo
components:
  schemas:
    Abbyy.Vantage.PublicApi.Contract.Catalogs.Results.CatalogDto:
      additionalProperties: false
      properties:
        columns:
          description: Columnas del catálogo
          items:
            $ref: >-
              #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Catalogs.Results.ColumnDto
          type: array
        id:
          description: Identificador único del catálogo
          minLength: 1
          type: string
        name:
          description: Nombre del catálogo
          minLength: 1
          type: string
        rowCount:
          description: Número total de filas en el catálogo
          format: int32
          type: integer
      required:
        - columns
        - id
        - name
        - rowCount
      type: object
    Microsoft.AspNetCore.Mvc.ProblemDetails:
      additionalProperties: {}
      properties:
        detail:
          nullable: true
          type: string
        instance:
          nullable: true
          type: string
        status:
          nullable: true
          type: string
        title:
          nullable: true
          type: string
        type:
          nullable: true
          type: string
      type: object
    Abbyy.Vantage.PublicApi.Contract.Catalogs.Results.ColumnDto:
      additionalProperties: false
      properties:
        name:
          description: Nombre de la columna del catálogo
          minLength: 1
          type: string
        notEmpty:
          description: ''
          type: boolean
        type:
          $ref: >-
            #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Catalogs.ColumnType
      required:
        - name
        - notEmpty
        - type
      type: object
    Abbyy.Vantage.PublicApi.Contract.Catalogs.ColumnType:
      enum:
        - Text
        - Double
        - Integer
        - Date
      type: string
  securitySchemes:
    OAuth2Security:
      flows:
        authorizationCode:
          authorizationUrl: https://vantage-preview.abbyy.com/auth2/connect/authorize
          scopes:
            global.wildcard: Global wildcard
            openid: User Id
            permissions: User permissions
          tokenUrl: https://vantage-preview.abbyy.com/auth2/connect/token
      type: oauth2

````